package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

@ApiModel(value="这张表是用来保存导入装车excel的临时数据国产矿和进口矿的excel不一致")
public class TmstrainLoadingTemp implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 车皮号(RESULT_WAGON_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车皮号",required=false)
    private String resultWagonNo;

    /**
     * 车皮标重(RESULT_BILLABLE_TONNAGE,DECIMAL,38)
     */
    @ApiModelProperty(value="车皮标重",required=false)
    private BigDecimal resultBillableTonnage;

    /**
     * 物资名(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物资名",required=false)
    private String materialName;

    /**
     * 发站名(SEND_STATION,VARCHAR,20)
     */
    @ApiModelProperty(value="发站名",required=false)
    private String sendStation;

    /**
     * 到站名(ARRIVAL_STATION,VARCHAR,20)
     */
    @ApiModelProperty(value="到站名",required=false)
    private String arrivalStation;

    /**
     * 发货单位名(SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名",required=false)
    private String supplierName;

    /**
     * 发货日期(SEND_DATE,VARCHAR,20)
     */
    @ApiModelProperty(value="发货日期",required=false)
    private String sendDate;

    /**
     * 制票日期(MAKE_DATE,VARCHAR,20)
     */
    @ApiModelProperty(value="制票日期",required=false)
    private String makeDate;

    /**
     * 矿种(MINERAL,VARCHAR,100)
     */
    @ApiModelProperty(value="矿种",required=false)
    private String mineral;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public String getResultWagonNo() {
        return resultWagonNo;
    }

    public void setResultWagonNo(String resultWagonNo) {
        this.resultWagonNo = resultWagonNo == null ? null : resultWagonNo.trim();
    }

    public BigDecimal getResultBillableTonnage() {
        return resultBillableTonnage;
    }

    public void setResultBillableTonnage(BigDecimal resultBillableTonnage) {
        this.resultBillableTonnage = resultBillableTonnage;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSendStation() {
        return sendStation;
    }

    public void setSendStation(String sendStation) {
        this.sendStation = sendStation == null ? null : sendStation.trim();
    }

    public String getArrivalStation() {
        return arrivalStation;
    }

    public void setArrivalStation(String arrivalStation) {
        this.arrivalStation = arrivalStation == null ? null : arrivalStation.trim();
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName == null ? null : supplierName.trim();
    }

    public String getSendDate() {
        return sendDate;
    }

    public void setSendDate(String sendDate) {
        this.sendDate = sendDate == null ? null : sendDate.trim();
    }

    public String getMakeDate() {
        return makeDate;
    }

    public void setMakeDate(String makeDate) {
        this.makeDate = makeDate == null ? null : makeDate.trim();
    }

    public String getMineral() {
        return mineral;
    }

    public void setMineral(String mineral) {
        this.mineral = mineral == null ? null : mineral.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultWagonNo=").append(resultWagonNo);
        sb.append(", resultBillableTonnage=").append(resultBillableTonnage);
        sb.append(", materialName=").append(materialName);
        sb.append(", sendStation=").append(sendStation);
        sb.append(", arrivalStation=").append(arrivalStation);
        sb.append(", supplierName=").append(supplierName);
        sb.append(", sendDate=").append(sendDate);
        sb.append(", makeDate=").append(makeDate);
        sb.append(", mineral=").append(mineral);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}