package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="火运总实绩")
public class TmstrainTotalResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(TOTAL_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal totalResultId;

    /**
     * 火运装车实绩ID(LOADING_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="火运装车实绩ID",required=false)
    private BigDecimal loadingId;

    /**
     * 火运卸车实绩ID(UNLOADING_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="火运卸车实绩ID",required=false)
    private BigDecimal unloadingId;

    /**
     * 厂内滞留总时长=驶离时间-抵达时间(RESULT_TOTAL_STAY_DURATION,DECIMAL,0)
     */
    @ApiModelProperty(value="厂内滞留总时长=驶离时间-抵达时间",required=false)
    private BigDecimal resultTotalStayDuration;

    /**
     * 运输标准时长(STANDARD_DATA_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运输标准时长",required=false)
    private BigDecimal standardDataId;

    /**
     * 运输时长异常值(RESULT_OUTLIER,DECIMAL,0)
     */
    @ApiModelProperty(value="运输时长异常值",required=false)
    private BigDecimal resultOutlier;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 火车运输订单号(TRANSPORT_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="火车运输订单号",required=false)
    private String transportNum;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.totalResultId;
    }

    @Override
    public void setId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public BigDecimal getLoadingId() {
        return loadingId;
    }

    public void setLoadingId(BigDecimal loadingId) {
        this.loadingId = loadingId;
    }

    public BigDecimal getUnloadingId() {
        return unloadingId;
    }

    public void setUnloadingId(BigDecimal unloadingId) {
        this.unloadingId = unloadingId;
    }

    public BigDecimal getResultTotalStayDuration() {
        return resultTotalStayDuration;
    }

    public void setResultTotalStayDuration(BigDecimal resultTotalStayDuration) {
        this.resultTotalStayDuration = resultTotalStayDuration;
    }

    public BigDecimal getStandardDataId() {
        return standardDataId;
    }

    public void setStandardDataId(BigDecimal standardDataId) {
        this.standardDataId = standardDataId;
    }

    public BigDecimal getResultOutlier() {
        return resultOutlier;
    }

    public void setResultOutlier(BigDecimal resultOutlier) {
        this.resultOutlier = resultOutlier;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getTransportNum() {
        return transportNum;
    }

    public void setTransportNum(String transportNum) {
        this.transportNum = transportNum == null ? null : transportNum.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", loadingId=").append(loadingId);
        sb.append(", unloadingId=").append(unloadingId);
        sb.append(", resultTotalStayDuration=").append(resultTotalStayDuration);
        sb.append(", standardDataId=").append(standardDataId);
        sb.append(", resultOutlier=").append(resultOutlier);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", transportNum=").append(transportNum);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}